Les meilleurs développeurs web freelances sont sur Codeur.com

Correctif de bug suite mise à jour module Payplug 3.6.3 vers 4.0.0

 Fermé·Moins de 500 €·8 offres·359 vues·12 interactions


Bonjour,
Suite à mise à jour du module Payplug (3.6.3 vers 4.0.0) sur Prestashop 1.7.8.3, le message d'erreur suivant apparaît après clic dans backoffice>Personnaliser > Modules> Gestionnaire de modules :

Compile Error: PrestaShop\PrestaShop\Adapter\Module\ModuleDataProvider::main(): Failed opening required '/var/www/1783/modules/payplug/constants.php' (include_path='/var/www/1783/vendor/pear/pear_exception:/var/www/1783/vendor/pear/console_getopt:/var/www/1783/vendor/pear/pear-core-minimal/src:/var/www/1783/vendor/pear/archive_tar:.:/usr/share/php')

Symfony\Component\Debug\Exception\ FatalErrorException
in modules/payplug/payplug.php (line 32)

require_once dirname(__FILE__) . '/vendor/autoload.php';
class Payplug extends PaymentModule
{
public $payplug_dependencies;
/** [E-mail visible pour les membres Pro] array */
public $adminControllers;
public $module;

En FTP, les fichiers sont présents dans le répertoire modules/payplug

Je recherche une personne en mesure de corriger ce bug et de mettre à jour le module Payplug en version 4.0.0 de manière opérationnelle.
Cordialement

Budget indicatif : Moins de 500 €

Publication : 05 juillet 2023 à 14h07

Profils recherchés : Développeur de plugin freelance, Développeur Prestashop freelance

Le profil du client est reservé aux prestataires abonnés

Créer un compte

8 freelances ont répondu à ce projet

8 propositions de devis en moins de 2h

A
+1
Publier un projet similaire

Nos ressources utiles

Allez plus loin avec nos ressources liées à ce projet !

Chaque jour, des centaines de clients utilisent Codeur.com pour trouver un prestataire. Créez votre compte dès maintenant, remplissez votre profil et trouvez de nouveaux clients.

Trouver des nouveaux clients

Votre navigateur Web n’est plus à jour. Il ne permet pas d’afficher correctement le site Codeur.com.
Nous vous invitons à mettre à jour votre navigateur ou à utiliser un autre navigateur plus récent.